ImageUtils File Reference
`#include <osg/Export>`
`#include <osg/Image>`
`#include <osg/Vec3i>`

Go to the source code of this file.

## Classes

struct | osg::CastAndScaleToFloatOperation

## Namespaces

namespace | osg

## Macros

#define | OSG_IMAGEUTILS 1

## Typedefs

typedef std::vector< osg::ref_ptr< osg::Image > > | osg::ImageList

## Enumerations

enum | osg::ColorSpaceOperation { osg::NO_COLOR_SPACE_OPERATION , osg::MODULATE_ALPHA_BY_LUMINANCE , osg::MODULATE_ALPHA_BY_COLOR , osg::REPLACE_ALPHA_WITH_LUMINANCE , osg::REPLACE_RGB_WITH_LUMINANCE }

## Functions

template<typename T, class O>
void | osg::_readRow (unsigned int num, GLenum pixelFormat, const T *data, O &operation)
template<class O>
void | osg::readRow (unsigned int num, GLenum pixelFormat, GLenum dataType, const unsigned char *data, O &operation)
template<class O>
void | osg::readImage (const osg::Image *image, O &operation)
template<typename T, class M>
void | osg::_modifyRow (unsigned int num, GLenum pixelFormat, T *data, float scale, const M &operation)
template<class M>
void | osg::modifyRow (unsigned int num, GLenum pixelFormat, GLenum dataType, unsigned char *data, const M &operation)
template<class M>
void | osg::modifyImage (osg::Image *image, const M &operation)
OSG_EXPORT bool | osg::computeMinMax (const osg::Image *image, osg::Vec4 &min, osg::Vec4 &max)
OSG_EXPORT bool | osg::offsetAndScaleImage (osg::Image *image, const osg::Vec4 &offset, const osg::Vec4 &scale)
OSG_EXPORT bool | osg::copyImage (const osg::Image *srcImage, int src_s, int src_t, int src_r, int width, int height, int depth, osg::Image *destImage, int dest_s, int dest_t, int dest_r, bool doRescale=false)
OSG_EXPORT bool | osg::clearImageToColor (osg::Image *image, const osg::Vec4 &colour)
OSG_EXPORT unsigned int | osg::maximimNumOfComponents (const ImageList &imageList)
OSG_EXPORT osg::Image * | osg::createImage3D (const ImageList &imageList, GLenum desiredPixelFormat, int s_maximumImageSize=1024, int t_maximumImageSize=1024, int r_maximumImageSize=1024, bool resizeToPowerOfTwo=false)
OSG_EXPORT osg::Image * | osg::createImage3DWithAlpha (const ImageList &imageList, int s_maximumImageSize=1024, int t_maximumImageSize=1024, int r_maximumImageSize=1024, bool resizeToPowerOfTwo=false)
OSG_EXPORT osg::Image * | osg::createSpotLightImage (const osg::Vec4 &centerColour, const osg::Vec4 &backgroudColour, unsigned int size, float power)
OSG_EXPORT osg::Image * | osg::colorSpaceConversion (ColorSpaceOperation op, osg::Image *image, const osg::Vec4 &colour)
OSG_EXPORT osg::Image * | osg::createImageWithOrientationConversion (const osg::Image *srcImage, const osg::Vec3i &srcOrigin, const osg::Vec3i &srcRow, const osg::Vec3i &srcColumn, const osg::Vec3i &srcLayer)

## Macro Definition Documentation

## OSG_IMAGEUTILS

#define OSG_IMAGEUTILS 1